const style = {
    reset:      (str = '') => { return `\x1b[0m${str}`; },
    bright:     (str = '') => { return `\x1b[1m${str}\x1b[0m`; },
    dim:        (str = '') => { return `\x1b[2m${str}\x1b[0m`; },
    underscore: (str = '') => { return `\x1b[4m${str}\x1b[0m`; },
    blink:      (str = '') => { return `\x1b[5m${str}\x1b[0m`; },
    reverse:    (str = '') => { return `\x1b[7m${str}\x1b[0m`; },
    hidden:     (str = '') => { return `\x1b[8m${str}\x1b[0m`; },

    fg: {
        black:      (str = '') => { return `\x1b[30m${str}\x1b[0m`; },
        red:        (str = '') => { return `\x1b[31m${str}\x1b[0m`; },
        green:      (str = '') => { return `\x1b[32m${str}\x1b[0m`; },
        yellow:     (str = '') => { return `\x1b[33m${str}\x1b[0m`; },
        blue:       (str = '') => { return `\x1b[34m${str}\x1b[0m`; },
        magenta:    (str = '') => { return `\x1b[35m${str}\x1b[0m`; },
        cyan:       (str = '') => { return `\x1b[36m${str}\x1b[0m`; },
        white:      (str = '') => { return `\x1b[37m${str}\x1b[0m`; }
    },

    bg: {
        black:      (str = '') => { return `\x1b[40m${str}\x1b[0m`; },
        red:        (str = '') => { return `\x1b[41m${str}\x1b[0m`; },
        green:      (str = '') => { return `\x1b[42m${str}\x1b[0m`; },
        yellow:     (str = '') => { return `\x1b[43m${str}\x1b[0m`; },
        blue:       (str = '') => { return `\x1b[44m${str}\x1b[0m`; },
        magenta:    (str = '') => { return `\x1b[45m${str}\x1b[0m`; },
        cyan:       (str = '') => { return `\x1b[46m${str}\x1b[0m`; },
        white:      (str = '') => { return `\x1b[47m${str}\x1b[0m`; }
    }
}

module.exports = {
    reset:      (str = '') => { return `\x1b[0m${str}`; },
    bright:     (str = '') => { return `\x1b[1m${str}\x1b[0m`; },
    dim:        (str = '') => { return `\x1b[2m${str}\x1b[0m`; },
    underscore: (str = '') => { return `\x1b[4m${str}\x1b[0m`; },
    blink:      (str = '') => { return `\x1b[5m${str}\x1b[0m`; },
    reverse:    (str = '') => { return `\x1b[7m${str}\x1b[0m`; },
    hidden:     (str = '') => { return `\x1b[8m${str}\x1b[0m`; },

    fg: {
        black:      (str = '') => { return `\x1b[30m${str}\x1b[0m`; },
        red:        (str = '') => { return `\x1b[31m${str}\x1b[0m`; },
        green:      (str = '') => { return `\x1b[32m${str}\x1b[0m`; },
        yellow:     (str = '') => { return `\x1b[33m${str}\x1b[0m`; },
        blue:       (str = '') => { return `\x1b[34m${str}\x1b[0m`; },
        magenta:    (str = '') => { return `\x1b[35m${str}\x1b[0m`; },
        cyan:       (str = '') => { return `\x1b[36m${str}\x1b[0m`; },
        white:      (str = '') => { return `\x1b[37m${str}\x1b[0m`; }
    },

    bg: {
        black:      (str = '') => { return `\x1b[40m${str}\x1b[0m`; },
        red:        (str = '') => { return `\x1b[41m${str}\x1b[0m`; },
        green:      (str = '') => { return `\x1b[42m${str}\x1b[0m`; },
        yellow:     (str = '') => { return `\x1b[43m${str}\x1b[0m`; },
        blue:       (str = '') => { return `\x1b[44m${str}\x1b[0m`; },
        magenta:    (str = '') => { return `\x1b[45m${str}\x1b[0m`; },
        cyan:       (str = '') => { return `\x1b[46m${str}\x1b[0m`; },
        white:      (str = '') => { return `\x1b[47m${str}\x1b[0m`; }
    }
}